package ru.yandex.direct.web.entity.uac.service.history.parser

import org.springframework.stereotype.Component
import ru.yandex.direct.core.entity.uac.repository.ydb.model.UacYdbCampaign
import ru.yandex.direct.core.grut.model.GrutHistoryEventEntry
import ru.yandex.direct.web.entity.uac.model.history.GrutHistoryOutputCategory

@Component
class RetargetingConditionHistoryEventParser : BaseGrutCampaignHistoryEventParser() {
    override fun generateEvent(historyEntry: GrutHistoryEventEntry<UacYdbCampaign>): Any? {
        return historyEntry.value.retargetingCondition
    }

    override fun getOutputCategory(): GrutHistoryOutputCategory =
        GrutHistoryOutputCategory.CAMPAIGN_RETARGETING_CONDITION
}
